<?php

$fileDir = dirname(__FILE__);
if (file_exists($fileDir . '/301config.php'))
{
	include($fileDir . '/301config.php');
}

require($fileDir . '/src/XF.php');

XF::start($fileDir);

$app = XF::setupApp('XF\Pub\App');
$router = $app->router('public');
$request = $app->request();

$log = new \XF\Import\Log($app->db(), defined('IMPORT_LOG_TABLE') ? IMPORT_LOG_TABLE : 'xf_import_log');

$input = $request->filter([
	'p' => 'uint'
]);

$target = false;
if ($input['p'])
{
	$newId = $log->lookupId('post', $input['p']);
	if ($newId)
	{
		$target = $router->buildLink('canonical:posts', ['post_id' => $newId]);
	}
}

if (!$target)
{
	$target = $router->buildLink('canonical:index');
}

$response = $app->response();
$response->redirect($request->convertToAbsoluteUri($target), 301);
$response->send($request);